Magick++ 7.1.0

Public Member Functions | Public Attributes | List of all members
Magick::BlobRef Class Reference

`#include <BlobRef.h>`

## Public Member Functions
| BlobRef (const void *data_, const size_t length_)
| ~BlobRef (void)
size_t | decrease ()
void | increase ()

## Public Attributes
Blob::Allocator | allocator
size_t | length
void * | data

## Detailed Description

Definition at line 23 of file BlobRef.h.

## Constructor & Destructor Documentation

## ◆ BlobRef()

Magick::BlobRef::BlobRef | ( | const void * | data_,
|  | const size_t | length_
| ) |  |

Definition at line 21 of file BlobRef.cpp.

References data.

## ◆ ~BlobRef()

Magick::BlobRef::~BlobRef | ( | void |  | ) |

Definition at line 35 of file BlobRef.cpp.

References Magick::Blob::MallocAllocator, and Magick::Blob::NewAllocator.

## Member Function Documentation

## ◆ decrease()

size_t Magick::BlobRef::decrease | ( |  | ) |

Definition at line 46 of file BlobRef.cpp.

References Magick::throwExceptionExplicit().

## ◆ increase()

void Magick::BlobRef::increase | ( |  | ) |

Definition at line 64 of file BlobRef.cpp.

Referenced by Magick::Blob::Blob(), and Magick::Blob::operator=().

## Member Data Documentation

## ◆ allocator

Blob::Allocator Magick::BlobRef::allocator

Definition at line 39 of file BlobRef.h.

## ◆ data

void* Magick::BlobRef::data

Definition at line 41 of file BlobRef.h.

Referenced by BlobRef().

## ◆ length

size_t Magick::BlobRef::length

Definition at line 40 of file BlobRef.h.

The documentation for this class was generated from the following files:

- BlobRef.h
- BlobRef.cpp